Skip to main content
GET
/
contacts
/
{id}
Get a contact by ID
curl --request GET \
  --url https://api.cleartalk.ai/contacts/{id} \
  --header 'x-api-key: <api-key>'
{
  "id": 123,
  "userId": 123,
  "listName": "<string>",
  "tag": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "email": "<string>",
  "phone": "<string>",
  "dateOfBirth": "<string>",
  "contactSource": "<string>",
  "clearTalkNotes": "<string>",
  "customField": {},
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

x-api-key
string
header
required

API Key for authentication

Path Parameters

id
string
required

Response

200 - application/json

Contact details

id
number
required

Contact ID

userId
number
required

User ID

listName
string
required

List name for the contact

tag
string
required

Tag for the contact

firstName
string
required

First name of the contact

lastName
string
required

Last name of the contact

email
string
required

Email of the contact

phone
string
required

Phone number of the contact

dateOfBirth
string
required

Date of birth of the contact

contactSource
string
required

Source of the contact

clearTalkNotes
string
required

Notes for the contact

customField
object
required

Custom fields for the contact

createdAt
string<date-time>
required

Creation date

updatedAt
string<date-time>
required

Last update date